Subject: bug#9076: coreutils-8.12 uses SA_RESETHAND and SA_RESTART unconditionally

From: Pádraig Brady <[email-masked]>
Date: Wed, 20 Jul 2011 11:10:30 +0100

On 16/07/11 01:51, Paul Eggert wrote:
> On 07/15/11 03:28, Pádraig Brady wrote:
>> What I was getting was that it's probably better to leave
>> the following to the app too:
>>
>> #ifndef SA_RESETHAND
>> # define SA_RESETHAND 0
>> /* Now the app writer knows they need to handle this case */
>> #endif
> 
> Yes, you're probably right.  I'll send some patches along
> those lines shortly (but not to bug-gnulib since that's not
> relevant to these coreutils-specific patches).

I notice that make syntax-check is now failing in coreutils.

 src/dd.c:# define SA_RESETHAND 0
 src/ls.c:# define SA_RESTART 0
 src/timeout.c:# define SA_RESTART 0
 maint.mk: define the above via some gnulib .h file
 make: *** [sc_prohibit_always-defined_macros] Error 1

This is because those are defined in signal.h.in which were
added as part of cfb3906f to add sigaction support to mingw.

Eric do you think we should define those in gnulib?
My thinking was that the onus should be on the apps
to #define these, as otherwise it's too easy for
compiles to just proceed on a platform while ignoring
requested operations.

cheers,
Pádraig.